summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author slakmagik <jsun@freeshell.org>2010-05-11 22:55:28 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:55:28 +0200
commit15a83814dab363684048ea2baebf4be08be54e6f (patch)
tree175acbc103bced42f5e661191b665041ea7e35d9
parenta1c01b57a34588a04b23c5c7b43f299f8e2f10ef (diff)
downloadslackbuilds-15a83814dab363684048ea2baebf4be08be54e6f.tar.gz
slackbuilds-15a83814dab363684048ea2baebf4be08be54e6f.tar.xz
system/rox-filer: Added to 12.1 repository
-rw-r--r--system/rox-filer/README4
-rw-r--r--system/rox-filer/doinst.sh39
-rw-r--r--system/rox-filer/rox-filer.SlackBuild108
-rw-r--r--system/rox-filer/rox-filer.csh6
-rw-r--r--system/rox-filer/rox-filer.desktop10
-rw-r--r--system/rox-filer/rox-filer.info8
-rw-r--r--system/rox-filer/rox-filer.sh7
-rw-r--r--system/rox-filer/slack-desc19
8 files changed, 201 insertions, 0 deletions
diff --git a/system/rox-filer/README b/system/rox-filer/README
new file mode 100644
index 0000000000..032071d9e5
--- /dev/null
+++ b/system/rox-filer/README
@@ -0,0 +1,4 @@
+ROX-Filer is a fast and powerful graphical file manager. It has full
+drag-and-drop support and background file operations, and is highly
+configurable. It can also act as a pinboard, allowing you to pin
+frequently used files to the desktop background.
diff --git a/system/rox-filer/doinst.sh b/system/rox-filer/doinst.sh
new file mode 100644
index 0000000000..1f1dabf595
--- /dev/null
+++ b/system/rox-filer/doinst.sh
@@ -0,0 +1,39 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+# Keep same perms on profile scripts
+if [ -e etc/profile.d/rox-filer.sh ]; then
+ cp -a etc/profile.d/rox-filer.sh etc/profile.d/rox-filer.sh.new.incoming
+ cat etc/profile.d/rox-filer.sh.new > etc/profile.d/rox-filer.sh.new.incoming
+ mv etc/profile.d/rox-filer.sh.new.incoming etc/profile.d/rox-filer.sh.new
+fi
+if [ -e etc/profile.d/rox-filer.csh ]; then
+ cp -a etc/profile.d/rox-filer.csh etc/profile.d/rox-filer.csh.new.incoming
+ cat etc/profile.d/rox-filer.csh.new > etc/profile.d/rox-filer.csh.new.incoming
+ mv etc/profile.d/rox-filer.csh.new.incoming etc/profile.d/rox-filer.csh.new
+fi
+
+config etc/rox/xdg/rox.sourceforge.net/MIME-types/application_postscript.new
+config etc/rox/xdg/rox.sourceforge.net/MIME-types/text.new
+config etc/rox/xdg/rox.sourceforge.net/MIME-types/text_html.new
+config etc/profile.d/rox-filer.sh.new
+config etc/profile.d/rox-filer.csh.new
+
diff --git a/system/rox-filer/rox-filer.SlackBuild b/system/rox-filer/rox-filer.SlackBuild
new file mode 100644
index 0000000000..4b800b1cc0
--- /dev/null
+++ b/system/rox-filer/rox-filer.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware build script for rox-filer
+# Written by slakmagik <jsun@freeshell.org>
+# Released under the WTFPL
+
+PRGNAM=rox-filer
+VERSION=2.6.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 \
+ -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" ./ROX-Filer/AppRun --compile
+
+# begin poor man's 'make install' (*heavily* adapted from rox's interactive
+# prefix-less install.sh)
+
+APPDIR=/usr/libexec
+BINDIR=/usr/bin
+CHOICESDIR=/etc/rox/xdg/rox.sourceforge.net/MIME-types
+DOCDIR=/usr/doc
+MANDIR=/usr/man/man1
+MIMEDIR=/usr/share/mime
+
+mkdir -p \
+ $PKG/$APPDIR \
+ $PKG/$BINDIR \
+ $PKG/$CHOICESDIR \
+ $PKG/$DOCDIR \
+ $PKG/$MANDIR \
+ $PKG/$MIMEDIR/packages
+
+(cd ROX-Filer/src && make clean) > /dev/null 2>&1
+cp -a ROX-Filer $PKG/$APPDIR
+# the actual original files of symlink.png and mime-application:x-jar.png,
+# which also have symlinks to them, are executable and shouldn't be.
+chmod 644 $PKG/$APPDIR/ROX-Filer/{images,ROX/MIME}/*
+
+# the APP_DIR isn't on the path, so this lets the user run the filer with a
+# simple 'rox' invocation.
+cat > $PKG/$BINDIR/rox << EOF
+#!/bin/sh
+exec $APPDIR/ROX-Filer/AppRun "\$@"
+EOF
+chmod 0755 $PKG/$BINDIR/rox
+
+# Don't clobber these on upgrades
+cd Choices/MIME-types
+ for file in * ; do
+ mv $file $PKG/$CHOICESDIR/$file.new ;
+ done
+cd -
+
+# The doc files are accessible through the UI, so need to be left here, but
+# there also need to be docs in the usual /usr/doc dir, so we link. The
+# build script ends up in ROX's help dir, too, but that's actually kinda cool.
+# ;)
+( cd $PKG/$DOCDIR && ln -sf $APPDIR/ROX-Filer/Help $PRGNAM-$VERSION )
+cat $CWD/$PRGNAM.SlackBuild > $PKG/$APPDIR/ROX-Filer/Help/$PRGNAM.SlackBuild
+
+gzip -9c rox.1 > $PKG/$MANDIR/rox.1.gz
+( cd $PKG/$MANDIR ; ln -sf rox.1.gz ROX-Filer.1.gz )
+
+cp rox.xml $PKG/$MIMEDIR/packages/rox.xml
+
+# end poor man's 'make install'
+
+mkdir -p $PKG/etc/profile.d
+install -m 0755 $CWD/$PRGNAM.sh $PKG/etc/profile.d/$PRGNAM.sh.new
+install -m 0755 $CWD/$PRGNAM.csh $PKG/etc/profile.d/$PRGNAM.csh.new
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/rox-filer.desktop > $PKG/usr/share/applications/rox-filer.desktop
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/rox-filer/rox-filer.csh b/system/rox-filer/rox-filer.csh
new file mode 100644
index 0000000000..b95ed56727
--- /dev/null
+++ b/system/rox-filer/rox-filer.csh
@@ -0,0 +1,6 @@
+#!/bin/csh
+if ( $?XDG_CONFIG_DIRS ) then
+ setenv XDG_CONFIG_DIRS ${XDG_CONFIG_DIRS}:/etc/rox/xdg
+else
+ setenv XDG_CONFIG_DIRS /etc/xdg:/etc/rox/xdg
+endif
diff --git a/system/rox-filer/rox-filer.desktop b/system/rox-filer/rox-filer.desktop
new file mode 100644
index 0000000000..f7ae7a802c
--- /dev/null
+++ b/system/rox-filer/rox-filer.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Version=1.0
+Type=Application
+Name=ROX-Filer
+GenericName=File Manager
+Comment=Browse and manage files
+Icon=/usr/libexec/ROX-Filer/.DirIcon
+Exec=rox
+Terminal=false
+Categories=System;FileManager;GTK;
diff --git a/system/rox-filer/rox-filer.info b/system/rox-filer/rox-filer.info
new file mode 100644
index 0000000000..e01629a436
--- /dev/null
+++ b/system/rox-filer/rox-filer.info
@@ -0,0 +1,8 @@
+PRGNAM="rox-filer"
+VERSION="2.6.1"
+HOMEPAGE="http://roscidus.com/desktop/ROX-Filer"
+DOWNLOAD="http://downloads.sourceforge.net/rox/rox-filer-2.6.1.tar.bz2"
+MD5SUM="e7f7b0b8afbbdf3132ff3af043ee213c"
+MAINTAINER="slakmagik"
+EMAIL="jsun@freeshell.org"
+APPROVED="rworkman"
diff --git a/system/rox-filer/rox-filer.sh b/system/rox-filer/rox-filer.sh
new file mode 100644
index 0000000000..bba4482f44
--- /dev/null
+++ b/system/rox-filer/rox-filer.sh
@@ -0,0 +1,7 @@
+#!/bin/sh
+if [ ! "$XDG_CONFIG_DIRS" = "" ]; then
+ XDG_CONFIG_DIRS=$XDG_CONFIG_DIRS:/etc/rox/xdg
+else
+ XDG_CONFIG_DIRS=/etc/xdg:/etc/rox/xdg
+fi
+export XDG_CONFIG_DIRS
diff --git a/system/rox-filer/slack-desc b/system/rox-filer/slack-desc
new file mode 100644
index 0000000000..d22e1ecfb2
--- /dev/null
+++ b/system/rox-filer/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler---------------------------------------------------|
+rox-filer: rox-filer (GTK2 file manager)
+rox-filer:
+rox-filer: ROX-Filer is a fast and powerful graphical file manager. It has
+rox-filer: full drag-and-drop support and background file operations, and is
+rox-filer: highly configurable. It can also act as a pinboard, allowing you
+rox-filer: to pin frequently used files to the desktop background.
+rox-filer:
+rox-filer: Homepage: http://roscidus.com/desktop/ROX-Filer
+rox-filer:
+rox-filer:
+rox-filer: